<?php
/* Autor...:  */
/* Esquema.: STE_ServicioTecnico.xml */
/* Generado: 2022-02-18 15:53:08 */

/* Metodos de acceso a los campos de la tabla STE_ServicioTecnico */
abstract class BaseSTE_ServicioTecnicoBN
{
    /* Campos de la tabla */
    private $i_IdServicio;    // IdServicio: ( no definido )
    private $i_TipoServicio;    // TipoServicio: ( no definido )
    private $s_OrdenId;    // OrdenId: ( no definido )
    private $s_OrdenNum;    // OrdenNum: ( no definido )
    private $s_ComprobanteId;    // ComprobanteId: ( no definido )
    private $s_ComprobanteNumero;    // ComprobanteNumero: ( no definido )
    private $d_ComprobanteFecha;    // ComprobanteFecha: ( no definido )
    private $i_IdPersona;    // IdPersona: ( no definido )
    private $s_ClienteTipoDoc;    // ClienteTipoDoc: ( no definido )
    private $s_ClienteNumeroDoc;    // ClienteNumeroDoc: ( no definido )
    private $s_ClienteNombre;    // ClienteNombre: ( no definido )
    private $s_ClienteDireccionFiscal;    // ClienteDireccionFiscal: ( no definido )
    private $s_ClienteTelefono;    // ClienteTelefono: ( no definido )
    private $s_ClienteCorreo;    // ClienteCorreo: ( no definido )
    private $s_SerieItem;    // SerieItem: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_ProductoDescripcion;    // ProductoDescripcion: ( no definido )
    private $i_SerieExisteFlag;    // SerieExisteFlag: ( no definido )
    private $s_TipoGarantiaId;    // TipoGarantiaId: ( no definido )
    private $s_GaratiaEstadoDesc;    // GaratiaEstadoDesc: ( no definido )
    private $i_CubreGarantiaFlag;    // CubreGarantiaFlag: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $u_DescargoCliente;    // DescargoCliente: ( no definido )
    private $u_RevisionRecepcion;    // RevisionRecepcion: ( no definido )
    private $i_PlazoEntrega;    // PlazoEntrega: ( no definido )
    private $u_ComentarioRecepcion;    // ComentarioRecepcion: ( no definido )
    private $s_RecepcionUsuario;    // RecepcionUsuario: ( no definido )
    private $d_RecepcionFecha;    // RecepcionFecha: ( no definido )
    private $s_DiagnosticoUsuario;    // DiagnosticoUsuario: ( no definido )
    private $d_DiagnosticoFechaIni;    // DiagnosticoFechaIni: ( no definido )
    private $d_DiagnosticoFechaFin;    // DiagnosticoFechaFin: ( no definido )
    private $i_DiagnosticoExisteCobranzaFlag;    // DiagnosticoExisteCobranzaFlag: ( no definido )
    private $f_DiagnosticoMontoIncIGV;    // DiagnosticoMontoIncIGV: ( no definido )
    private $i_DiagnosticoCotizacionId;    // DiagnosticoCotizacionId: ( no definido )
    private $s_DiagnosticoCotizacionNum;    // DiagnosticoCotizacionNum: ( no definido )
    private $s_DiagnosticoComprobanteTipo;    // DiagnosticoComprobanteTipo: ( no definido )
    private $s_DiagnosticoComprobanteNumero;    // DiagnosticoComprobanteNumero: ( no definido )
    private $d_DiagnosticoComprobanteFecha;    // DiagnosticoComprobanteFecha: ( no definido )
    private $s_DiagnosticoComprobanteId;    // DiagnosticoComprobanteId: ( no definido )
    private $s_DiagnosticoCobranzaEstado;    // DiagnosticoCobranzaEstado: ( no definido )
    private $d_DiagnosticoCobranzaFecha;    // DiagnosticoCobranzaFecha: ( no definido )
    private $u_DiagnosticoRevision;    // DiagnosticoRevision: ( no definido )
    private $u_DiagnosticoComentario;    // DiagnosticoComentario: ( no definido )
    private $s_ReparacionAprobacionUsuario;    // ReparacionAprobacionUsuario: ( no definido )
    private $d_ReparacionAprobacionFecha;    // ReparacionAprobacionFecha: ( no definido )
    private $s_ReparacionUsuario;    // ReparacionUsuario: ( no definido )
    private $d_ReparacionFechaIni;    // ReparacionFechaIni: ( no definido )
    private $d_ReparacionFechaFin;    // ReparacionFechaFin: ( no definido )
    private $u_ReperacionAccionTomada;    // ReperacionAccionTomada: ( no definido )
    private $u_ReparacionComentario;    // ReparacionComentario: ( no definido )
    private $f_ReparacionPrecioTotalIGV;    // ReparacionPrecioTotalIGV: ( no definido )
    private $i_ReparacionCotizacionId;    // ReparacionCotizacionId: ( no definido )
    private $s_ReparacionCotizacionNum;    // ReparacionCotizacionNum: ( no definido )
    private $s_ReparacionComprobanteTipo;    // ReparacionComprobanteTipo: ( no definido )
    private $s_ReparacionComprobanteNumero;    // ReparacionComprobanteNumero: ( no definido )
    private $d_ReparacionComprobanteFecha;    // ReparacionComprobanteFecha: ( no definido )
    private $s_ReparacionComprobanteId;    // ReparacionComprobanteId: ( no definido )
    private $s_ReparacionCobranzaEstado;    // ReparacionCobranzaEstado: ( no definido )
    private $d_ReparacionCobranzaFecha;    // ReparacionCobranzaFecha: ( no definido )
    private $s_EntregaUsuario;    // EntregaUsuario: ( no definido )
    private $d_EntregaFecha;    // EntregaFecha: ( no definido )
    private $u_EntregaComentario;    // EntregaComentario: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioActualizacion;    // UsuarioActualizacion: ( no definido )
    private $d_FechaActualizacion;    // FechaActualizacion: ( no definido )

    /* Establece el valor del campo IdServicio */
    public function setIdServicio( $i_IdServicio )
    {
        $this->i_IdServicio = $i_IdServicio;
    }

    /* Obtiene el valor del campo IdServicio */
    public function getIdServicio()
    {
        return $this->i_IdServicio;
    }

    /* Establece el valor del campo TipoServicio */
    public function setTipoServicio( $i_TipoServicio )
    {
        $this->i_TipoServicio = $i_TipoServicio;
    }

    /* Obtiene el valor del campo TipoServicio */
    public function getTipoServicio()
    {
        return $this->i_TipoServicio;
    }

    /* Establece el valor del campo OrdenId */
    public function setOrdenId( $s_OrdenId )
    {
        $this->s_OrdenId = $s_OrdenId;
    }

    /* Obtiene el valor del campo OrdenId */
    public function getOrdenId()
    {
        return $this->s_OrdenId;
    }

    /* Establece el valor del campo OrdenNum */
    public function setOrdenNum( $s_OrdenNum )
    {
        $this->s_OrdenNum = $s_OrdenNum;
    }

    /* Obtiene el valor del campo OrdenNum */
    public function getOrdenNum()
    {
        return $this->s_OrdenNum;
    }

    /* Establece el valor del campo ComprobanteId */
    public function setComprobanteId( $s_ComprobanteId )
    {
        $this->s_ComprobanteId = $s_ComprobanteId;
    }

    /* Obtiene el valor del campo ComprobanteId */
    public function getComprobanteId()
    {
        return $this->s_ComprobanteId;
    }

    /* Establece el valor del campo ComprobanteNumero */
    public function setComprobanteNumero( $s_ComprobanteNumero )
    {
        $this->s_ComprobanteNumero = $s_ComprobanteNumero;
    }

    /* Obtiene el valor del campo ComprobanteNumero */
    public function getComprobanteNumero()
    {
        return $this->s_ComprobanteNumero;
    }

    /* Establece el valor del campo ComprobanteFecha */
    public function setComprobanteFecha( $d_ComprobanteFecha )
    {
        $this->d_ComprobanteFecha = $d_ComprobanteFecha;
    }

    /* Obtiene el valor del campo ComprobanteFecha */
    public function getComprobanteFecha()
    {
        return $this->d_ComprobanteFecha;
    }

    /* Establece el valor del campo IdPersona */
    public function setIdPersona( $i_IdPersona )
    {
        $this->i_IdPersona = $i_IdPersona;
    }

    /* Obtiene el valor del campo IdPersona */
    public function getIdPersona()
    {
        return $this->i_IdPersona;
    }

    /* Establece el valor del campo ClienteTipoDoc */
    public function setClienteTipoDoc( $s_ClienteTipoDoc )
    {
        $this->s_ClienteTipoDoc = $s_ClienteTipoDoc;
    }

    /* Obtiene el valor del campo ClienteTipoDoc */
    public function getClienteTipoDoc()
    {
        return $this->s_ClienteTipoDoc;
    }

    /* Establece el valor del campo ClienteNumeroDoc */
    public function setClienteNumeroDoc( $s_ClienteNumeroDoc )
    {
        $this->s_ClienteNumeroDoc = $s_ClienteNumeroDoc;
    }

    /* Obtiene el valor del campo ClienteNumeroDoc */
    public function getClienteNumeroDoc()
    {
        return $this->s_ClienteNumeroDoc;
    }

    /* Establece el valor del campo ClienteNombre */
    public function setClienteNombre( $s_ClienteNombre )
    {
        $this->s_ClienteNombre = $s_ClienteNombre;
    }

    /* Obtiene el valor del campo ClienteNombre */
    public function getClienteNombre()
    {
        return $this->s_ClienteNombre;
    }

    /* Establece el valor del campo ClienteDireccionFiscal */
    public function setClienteDireccionFiscal( $s_ClienteDireccionFiscal )
    {
        $this->s_ClienteDireccionFiscal = $s_ClienteDireccionFiscal;
    }

    /* Obtiene el valor del campo ClienteDireccionFiscal */
    public function getClienteDireccionFiscal()
    {
        return $this->s_ClienteDireccionFiscal;
    }

    /* Establece el valor del campo ClienteTelefono */
    public function setClienteTelefono( $s_ClienteTelefono )
    {
        $this->s_ClienteTelefono = $s_ClienteTelefono;
    }

    /* Obtiene el valor del campo ClienteTelefono */
    public function getClienteTelefono()
    {
        return $this->s_ClienteTelefono;
    }

    /* Establece el valor del campo ClienteCorreo */
    public function setClienteCorreo( $s_ClienteCorreo )
    {
        $this->s_ClienteCorreo = $s_ClienteCorreo;
    }

    /* Obtiene el valor del campo ClienteCorreo */
    public function getClienteCorreo()
    {
        return $this->s_ClienteCorreo;
    }

    /* Establece el valor del campo SerieItem */
    public function setSerieItem( $s_SerieItem )
    {
        $this->s_SerieItem = $s_SerieItem;
    }

    /* Obtiene el valor del campo SerieItem */
    public function getSerieItem()
    {
        return $this->s_SerieItem;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo ProductoDescripcion */
    public function setProductoDescripcion( $s_ProductoDescripcion )
    {
        $this->s_ProductoDescripcion = $s_ProductoDescripcion;
    }

    /* Obtiene el valor del campo ProductoDescripcion */
    public function getProductoDescripcion()
    {
        return $this->s_ProductoDescripcion;
    }

    /* Establece el valor del campo SerieExisteFlag */
    public function setSerieExisteFlag( $i_SerieExisteFlag )
    {
        $this->i_SerieExisteFlag = $i_SerieExisteFlag;
    }

    /* Obtiene el valor del campo SerieExisteFlag */
    public function getSerieExisteFlag()
    {
        return $this->i_SerieExisteFlag;
    }

    /* Establece el valor del campo TipoGarantiaId */
    public function setTipoGarantiaId( $s_TipoGarantiaId )
    {
        $this->s_TipoGarantiaId = $s_TipoGarantiaId;
    }

    /* Obtiene el valor del campo TipoGarantiaId */
    public function getTipoGarantiaId()
    {
        return $this->s_TipoGarantiaId;
    }

    /* Establece el valor del campo GaratiaEstadoDesc */
    public function setGaratiaEstadoDesc( $s_GaratiaEstadoDesc )
    {
        $this->s_GaratiaEstadoDesc = $s_GaratiaEstadoDesc;
    }

    /* Obtiene el valor del campo GaratiaEstadoDesc */
    public function getGaratiaEstadoDesc()
    {
        return $this->s_GaratiaEstadoDesc;
    }

    /* Establece el valor del campo CubreGarantiaFlag */
    public function setCubreGarantiaFlag( $i_CubreGarantiaFlag )
    {
        $this->i_CubreGarantiaFlag = $i_CubreGarantiaFlag;
    }

    /* Obtiene el valor del campo CubreGarantiaFlag */
    public function getCubreGarantiaFlag()
    {
        return $this->i_CubreGarantiaFlag;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo DescargoCliente */
    public function setDescargoCliente( $u_DescargoCliente )
    {
        $this->u_DescargoCliente = $u_DescargoCliente;
    }

    /* Obtiene el valor del campo DescargoCliente */
    public function getDescargoCliente()
    {
        return $this->u_DescargoCliente;
    }

    /* Establece el valor del campo RevisionRecepcion */
    public function setRevisionRecepcion( $u_RevisionRecepcion )
    {
        $this->u_RevisionRecepcion = $u_RevisionRecepcion;
    }

    /* Obtiene el valor del campo RevisionRecepcion */
    public function getRevisionRecepcion()
    {
        return $this->u_RevisionRecepcion;
    }

    /* Establece el valor del campo PlazoEntrega */
    public function setPlazoEntrega( $i_PlazoEntrega )
    {
        $this->i_PlazoEntrega = $i_PlazoEntrega;
    }

    /* Obtiene el valor del campo PlazoEntrega */
    public function getPlazoEntrega()
    {
        return $this->i_PlazoEntrega;
    }

    /* Establece el valor del campo ComentarioRecepcion */
    public function setComentarioRecepcion( $u_ComentarioRecepcion )
    {
        $this->u_ComentarioRecepcion = $u_ComentarioRecepcion;
    }

    /* Obtiene el valor del campo ComentarioRecepcion */
    public function getComentarioRecepcion()
    {
        return $this->u_ComentarioRecepcion;
    }

    /* Establece el valor del campo RecepcionUsuario */
    public function setRecepcionUsuario( $s_RecepcionUsuario )
    {
        $this->s_RecepcionUsuario = $s_RecepcionUsuario;
    }

    /* Obtiene el valor del campo RecepcionUsuario */
    public function getRecepcionUsuario()
    {
        return $this->s_RecepcionUsuario;
    }

    /* Establece el valor del campo RecepcionFecha */
    public function setRecepcionFecha( $d_RecepcionFecha )
    {
        $this->d_RecepcionFecha = $d_RecepcionFecha;
    }

    /* Obtiene el valor del campo RecepcionFecha */
    public function getRecepcionFecha()
    {
        return $this->d_RecepcionFecha;
    }

    /* Establece el valor del campo DiagnosticoUsuario */
    public function setDiagnosticoUsuario( $s_DiagnosticoUsuario )
    {
        $this->s_DiagnosticoUsuario = $s_DiagnosticoUsuario;
    }

    /* Obtiene el valor del campo DiagnosticoUsuario */
    public function getDiagnosticoUsuario()
    {
        return $this->s_DiagnosticoUsuario;
    }

    /* Establece el valor del campo DiagnosticoFechaIni */
    public function setDiagnosticoFechaIni( $d_DiagnosticoFechaIni )
    {
        $this->d_DiagnosticoFechaIni = $d_DiagnosticoFechaIni;
    }

    /* Obtiene el valor del campo DiagnosticoFechaIni */
    public function getDiagnosticoFechaIni()
    {
        return $this->d_DiagnosticoFechaIni;
    }

    /* Establece el valor del campo DiagnosticoFechaFin */
    public function setDiagnosticoFechaFin( $d_DiagnosticoFechaFin )
    {
        $this->d_DiagnosticoFechaFin = $d_DiagnosticoFechaFin;
    }

    /* Obtiene el valor del campo DiagnosticoFechaFin */
    public function getDiagnosticoFechaFin()
    {
        return $this->d_DiagnosticoFechaFin;
    }

    /* Establece el valor del campo DiagnosticoExisteCobranzaFlag */
    public function setDiagnosticoExisteCobranzaFlag( $i_DiagnosticoExisteCobranzaFlag )
    {
        $this->i_DiagnosticoExisteCobranzaFlag = $i_DiagnosticoExisteCobranzaFlag;
    }

    /* Obtiene el valor del campo DiagnosticoExisteCobranzaFlag */
    public function getDiagnosticoExisteCobranzaFlag()
    {
        return $this->i_DiagnosticoExisteCobranzaFlag;
    }

    /* Establece el valor del campo DiagnosticoMontoIncIGV */
    public function setDiagnosticoMontoIncIGV( $f_DiagnosticoMontoIncIGV )
    {
        $this->f_DiagnosticoMontoIncIGV = $f_DiagnosticoMontoIncIGV;
    }

    /* Obtiene el valor del campo DiagnosticoMontoIncIGV */
    public function getDiagnosticoMontoIncIGV()
    {
        return $this->f_DiagnosticoMontoIncIGV;
    }

    /* Establece el valor del campo DiagnosticoCotizacionId */
    public function setDiagnosticoCotizacionId( $i_DiagnosticoCotizacionId )
    {
        $this->i_DiagnosticoCotizacionId = $i_DiagnosticoCotizacionId;
    }

    /* Obtiene el valor del campo DiagnosticoCotizacionId */
    public function getDiagnosticoCotizacionId()
    {
        return $this->i_DiagnosticoCotizacionId;
    }

    /* Establece el valor del campo DiagnosticoCotizacionNum */
    public function setDiagnosticoCotizacionNum( $s_DiagnosticoCotizacionNum )
    {
        $this->s_DiagnosticoCotizacionNum = $s_DiagnosticoCotizacionNum;
    }

    /* Obtiene el valor del campo DiagnosticoCotizacionNum */
    public function getDiagnosticoCotizacionNum()
    {
        return $this->s_DiagnosticoCotizacionNum;
    }

    /* Establece el valor del campo DiagnosticoComprobanteTipo */
    public function setDiagnosticoComprobanteTipo( $s_DiagnosticoComprobanteTipo )
    {
        $this->s_DiagnosticoComprobanteTipo = $s_DiagnosticoComprobanteTipo;
    }

    /* Obtiene el valor del campo DiagnosticoComprobanteTipo */
    public function getDiagnosticoComprobanteTipo()
    {
        return $this->s_DiagnosticoComprobanteTipo;
    }

    /* Establece el valor del campo DiagnosticoComprobanteNumero */
    public function setDiagnosticoComprobanteNumero( $s_DiagnosticoComprobanteNumero )
    {
        $this->s_DiagnosticoComprobanteNumero = $s_DiagnosticoComprobanteNumero;
    }

    /* Obtiene el valor del campo DiagnosticoComprobanteNumero */
    public function getDiagnosticoComprobanteNumero()
    {
        return $this->s_DiagnosticoComprobanteNumero;
    }

    /* Establece el valor del campo DiagnosticoComprobanteFecha */
    public function setDiagnosticoComprobanteFecha( $d_DiagnosticoComprobanteFecha )
    {
        $this->d_DiagnosticoComprobanteFecha = $d_DiagnosticoComprobanteFecha;
    }

    /* Obtiene el valor del campo DiagnosticoComprobanteFecha */
    public function getDiagnosticoComprobanteFecha()
    {
        return $this->d_DiagnosticoComprobanteFecha;
    }

    /* Establece el valor del campo DiagnosticoComprobanteId */
    public function setDiagnosticoComprobanteId( $s_DiagnosticoComprobanteId )
    {
        $this->s_DiagnosticoComprobanteId = $s_DiagnosticoComprobanteId;
    }

    /* Obtiene el valor del campo DiagnosticoComprobanteId */
    public function getDiagnosticoComprobanteId()
    {
        return $this->s_DiagnosticoComprobanteId;
    }

    /* Establece el valor del campo DiagnosticoCobranzaEstado */
    public function setDiagnosticoCobranzaEstado( $s_DiagnosticoCobranzaEstado )
    {
        $this->s_DiagnosticoCobranzaEstado = $s_DiagnosticoCobranzaEstado;
    }

    /* Obtiene el valor del campo DiagnosticoCobranzaEstado */
    public function getDiagnosticoCobranzaEstado()
    {
        return $this->s_DiagnosticoCobranzaEstado;
    }

    /* Establece el valor del campo DiagnosticoCobranzaFecha */
    public function setDiagnosticoCobranzaFecha( $d_DiagnosticoCobranzaFecha )
    {
        $this->d_DiagnosticoCobranzaFecha = $d_DiagnosticoCobranzaFecha;
    }

    /* Obtiene el valor del campo DiagnosticoCobranzaFecha */
    public function getDiagnosticoCobranzaFecha()
    {
        return $this->d_DiagnosticoCobranzaFecha;
    }

    /* Establece el valor del campo DiagnosticoRevision */
    public function setDiagnosticoRevision( $u_DiagnosticoRevision )
    {
        $this->u_DiagnosticoRevision = $u_DiagnosticoRevision;
    }

    /* Obtiene el valor del campo DiagnosticoRevision */
    public function getDiagnosticoRevision()
    {
        return $this->u_DiagnosticoRevision;
    }

    /* Establece el valor del campo DiagnosticoComentario */
    public function setDiagnosticoComentario( $u_DiagnosticoComentario )
    {
        $this->u_DiagnosticoComentario = $u_DiagnosticoComentario;
    }

    /* Obtiene el valor del campo DiagnosticoComentario */
    public function getDiagnosticoComentario()
    {
        return $this->u_DiagnosticoComentario;
    }

    /* Establece el valor del campo ReparacionAprobacionUsuario */
    public function setReparacionAprobacionUsuario( $s_ReparacionAprobacionUsuario )
    {
        $this->s_ReparacionAprobacionUsuario = $s_ReparacionAprobacionUsuario;
    }

    /* Obtiene el valor del campo ReparacionAprobacionUsuario */
    public function getReparacionAprobacionUsuario()
    {
        return $this->s_ReparacionAprobacionUsuario;
    }

    /* Establece el valor del campo ReparacionAprobacionFecha */
    public function setReparacionAprobacionFecha( $d_ReparacionAprobacionFecha )
    {
        $this->d_ReparacionAprobacionFecha = $d_ReparacionAprobacionFecha;
    }

    /* Obtiene el valor del campo ReparacionAprobacionFecha */
    public function getReparacionAprobacionFecha()
    {
        return $this->d_ReparacionAprobacionFecha;
    }

    /* Establece el valor del campo ReparacionUsuario */
    public function setReparacionUsuario( $s_ReparacionUsuario )
    {
        $this->s_ReparacionUsuario = $s_ReparacionUsuario;
    }

    /* Obtiene el valor del campo ReparacionUsuario */
    public function getReparacionUsuario()
    {
        return $this->s_ReparacionUsuario;
    }

    /* Establece el valor del campo ReparacionFechaIni */
    public function setReparacionFechaIni( $d_ReparacionFechaIni )
    {
        $this->d_ReparacionFechaIni = $d_ReparacionFechaIni;
    }

    /* Obtiene el valor del campo ReparacionFechaIni */
    public function getReparacionFechaIni()
    {
        return $this->d_ReparacionFechaIni;
    }

    /* Establece el valor del campo ReparacionFechaFin */
    public function setReparacionFechaFin( $d_ReparacionFechaFin )
    {
        $this->d_ReparacionFechaFin = $d_ReparacionFechaFin;
    }

    /* Obtiene el valor del campo ReparacionFechaFin */
    public function getReparacionFechaFin()
    {
        return $this->d_ReparacionFechaFin;
    }

    /* Establece el valor del campo ReperacionAccionTomada */
    public function setReperacionAccionTomada( $u_ReperacionAccionTomada )
    {
        $this->u_ReperacionAccionTomada = $u_ReperacionAccionTomada;
    }

    /* Obtiene el valor del campo ReperacionAccionTomada */
    public function getReperacionAccionTomada()
    {
        return $this->u_ReperacionAccionTomada;
    }

    /* Establece el valor del campo ReparacionComentario */
    public function setReparacionComentario( $u_ReparacionComentario )
    {
        $this->u_ReparacionComentario = $u_ReparacionComentario;
    }

    /* Obtiene el valor del campo ReparacionComentario */
    public function getReparacionComentario()
    {
        return $this->u_ReparacionComentario;
    }

    /* Establece el valor del campo ReparacionPrecioTotalIGV */
    public function setReparacionPrecioTotalIGV( $f_ReparacionPrecioTotalIGV )
    {
        $this->f_ReparacionPrecioTotalIGV = $f_ReparacionPrecioTotalIGV;
    }

    /* Obtiene el valor del campo ReparacionPrecioTotalIGV */
    public function getReparacionPrecioTotalIGV()
    {
        return $this->f_ReparacionPrecioTotalIGV;
    }

    /* Establece el valor del campo ReparacionCotizacionId */
    public function setReparacionCotizacionId( $i_ReparacionCotizacionId )
    {
        $this->i_ReparacionCotizacionId = $i_ReparacionCotizacionId;
    }

    /* Obtiene el valor del campo ReparacionCotizacionId */
    public function getReparacionCotizacionId()
    {
        return $this->i_ReparacionCotizacionId;
    }

    /* Establece el valor del campo ReparacionCotizacionNum */
    public function setReparacionCotizacionNum( $s_ReparacionCotizacionNum )
    {
        $this->s_ReparacionCotizacionNum = $s_ReparacionCotizacionNum;
    }

    /* Obtiene el valor del campo ReparacionCotizacionNum */
    public function getReparacionCotizacionNum()
    {
        return $this->s_ReparacionCotizacionNum;
    }

    /* Establece el valor del campo ReparacionComprobanteTipo */
    public function setReparacionComprobanteTipo( $s_ReparacionComprobanteTipo )
    {
        $this->s_ReparacionComprobanteTipo = $s_ReparacionComprobanteTipo;
    }

    /* Obtiene el valor del campo ReparacionComprobanteTipo */
    public function getReparacionComprobanteTipo()
    {
        return $this->s_ReparacionComprobanteTipo;
    }

    /* Establece el valor del campo ReparacionComprobanteNumero */
    public function setReparacionComprobanteNumero( $s_ReparacionComprobanteNumero )
    {
        $this->s_ReparacionComprobanteNumero = $s_ReparacionComprobanteNumero;
    }

    /* Obtiene el valor del campo ReparacionComprobanteNumero */
    public function getReparacionComprobanteNumero()
    {
        return $this->s_ReparacionComprobanteNumero;
    }

    /* Establece el valor del campo ReparacionComprobanteFecha */
    public function setReparacionComprobanteFecha( $d_ReparacionComprobanteFecha )
    {
        $this->d_ReparacionComprobanteFecha = $d_ReparacionComprobanteFecha;
    }

    /* Obtiene el valor del campo ReparacionComprobanteFecha */
    public function getReparacionComprobanteFecha()
    {
        return $this->d_ReparacionComprobanteFecha;
    }

    /* Establece el valor del campo ReparacionComprobanteId */
    public function setReparacionComprobanteId( $s_ReparacionComprobanteId )
    {
        $this->s_ReparacionComprobanteId = $s_ReparacionComprobanteId;
    }

    /* Obtiene el valor del campo ReparacionComprobanteId */
    public function getReparacionComprobanteId()
    {
        return $this->s_ReparacionComprobanteId;
    }

    /* Establece el valor del campo ReparacionCobranzaEstado */
    public function setReparacionCobranzaEstado( $s_ReparacionCobranzaEstado )
    {
        $this->s_ReparacionCobranzaEstado = $s_ReparacionCobranzaEstado;
    }

    /* Obtiene el valor del campo ReparacionCobranzaEstado */
    public function getReparacionCobranzaEstado()
    {
        return $this->s_ReparacionCobranzaEstado;
    }

    /* Establece el valor del campo ReparacionCobranzaFecha */
    public function setReparacionCobranzaFecha( $d_ReparacionCobranzaFecha )
    {
        $this->d_ReparacionCobranzaFecha = $d_ReparacionCobranzaFecha;
    }

    /* Obtiene el valor del campo ReparacionCobranzaFecha */
    public function getReparacionCobranzaFecha()
    {
        return $this->d_ReparacionCobranzaFecha;
    }

    /* Establece el valor del campo EntregaUsuario */
    public function setEntregaUsuario( $s_EntregaUsuario )
    {
        $this->s_EntregaUsuario = $s_EntregaUsuario;
    }

    /* Obtiene el valor del campo EntregaUsuario */
    public function getEntregaUsuario()
    {
        return $this->s_EntregaUsuario;
    }

    /* Establece el valor del campo EntregaFecha */
    public function setEntregaFecha( $d_EntregaFecha )
    {
        $this->d_EntregaFecha = $d_EntregaFecha;
    }

    /* Obtiene el valor del campo EntregaFecha */
    public function getEntregaFecha()
    {
        return $this->d_EntregaFecha;
    }

    /* Establece el valor del campo EntregaComentario */
    public function setEntregaComentario( $u_EntregaComentario )
    {
        $this->u_EntregaComentario = $u_EntregaComentario;
    }

    /* Obtiene el valor del campo EntregaComentario */
    public function getEntregaComentario()
    {
        return $this->u_EntregaComentario;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioActualizacion */
    public function setUsuarioActualizacion( $s_UsuarioActualizacion )
    {
        $this->s_UsuarioActualizacion = $s_UsuarioActualizacion;
    }

    /* Obtiene el valor del campo UsuarioActualizacion */
    public function getUsuarioActualizacion()
    {
        return $this->s_UsuarioActualizacion;
    }

    /* Establece el valor del campo FechaActualizacion */
    public function setFechaActualizacion( $d_FechaActualizacion )
    {
        $this->d_FechaActualizacion = $d_FechaActualizacion;
    }

    /* Obtiene el valor del campo FechaActualizacion */
    public function getFechaActualizacion()
    {
        return $this->d_FechaActualizacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdServicio' => $this->getIdServicio(),
            'TipoServicio' => $this->getTipoServicio(),
            'OrdenId' => $this->getOrdenId(),
            'OrdenNum' => $this->getOrdenNum(),
            'ComprobanteId' => $this->getComprobanteId(),
            'ComprobanteNumero' => $this->getComprobanteNumero(),
            'ComprobanteFecha' => $this->getComprobanteFecha(),
            'IdPersona' => $this->getIdPersona(),
            'ClienteTipoDoc' => $this->getClienteTipoDoc(),
            'ClienteNumeroDoc' => $this->getClienteNumeroDoc(),
            'ClienteNombre' => $this->getClienteNombre(),
            'ClienteDireccionFiscal' => $this->getClienteDireccionFiscal(),
            'ClienteTelefono' => $this->getClienteTelefono(),
            'ClienteCorreo' => $this->getClienteCorreo(),
            'SerieItem' => $this->getSerieItem(),
            'IdItem' => $this->getIdItem(),
            'ProductoDescripcion' => $this->getProductoDescripcion(),
            'SerieExisteFlag' => $this->getSerieExisteFlag(),
            'TipoGarantiaId' => $this->getTipoGarantiaId(),
            'GaratiaEstadoDesc' => $this->getGaratiaEstadoDesc(),
            'CubreGarantiaFlag' => $this->getCubreGarantiaFlag(),
            'Estado' => $this->getEstado(),
            'DescargoCliente' => $this->getDescargoCliente(),
            'RevisionRecepcion' => $this->getRevisionRecepcion(),
            'PlazoEntrega' => $this->getPlazoEntrega(),
            'ComentarioRecepcion' => $this->getComentarioRecepcion(),
            'RecepcionUsuario' => $this->getRecepcionUsuario(),
            'RecepcionFecha' => $this->getRecepcionFecha(),
            'DiagnosticoUsuario' => $this->getDiagnosticoUsuario(),
            'DiagnosticoFechaIni' => $this->getDiagnosticoFechaIni(),
            'DiagnosticoFechaFin' => $this->getDiagnosticoFechaFin(),
            'DiagnosticoExisteCobranzaFlag' => $this->getDiagnosticoExisteCobranzaFlag(),
            'DiagnosticoMontoIncIGV' => $this->getDiagnosticoMontoIncIGV(),
            'DiagnosticoCotizacionId' => $this->getDiagnosticoCotizacionId(),
            'DiagnosticoCotizacionNum' => $this->getDiagnosticoCotizacionNum(),
            'DiagnosticoComprobanteTipo' => $this->getDiagnosticoComprobanteTipo(),
            'DiagnosticoComprobanteNumero' => $this->getDiagnosticoComprobanteNumero(),
            'DiagnosticoComprobanteFecha' => $this->getDiagnosticoComprobanteFecha(),
            'DiagnosticoComprobanteId' => $this->getDiagnosticoComprobanteId(),
            'DiagnosticoCobranzaEstado' => $this->getDiagnosticoCobranzaEstado(),
            'DiagnosticoCobranzaFecha' => $this->getDiagnosticoCobranzaFecha(),
            'DiagnosticoRevision' => $this->getDiagnosticoRevision(),
            'DiagnosticoComentario' => $this->getDiagnosticoComentario(),
            'ReparacionAprobacionUsuario' => $this->getReparacionAprobacionUsuario(),
            'ReparacionAprobacionFecha' => $this->getReparacionAprobacionFecha(),
            'ReparacionUsuario' => $this->getReparacionUsuario(),
            'ReparacionFechaIni' => $this->getReparacionFechaIni(),
            'ReparacionFechaFin' => $this->getReparacionFechaFin(),
            'ReperacionAccionTomada' => $this->getReperacionAccionTomada(),
            'ReparacionComentario' => $this->getReparacionComentario(),
            'ReparacionPrecioTotalIGV' => $this->getReparacionPrecioTotalIGV(),
            'ReparacionCotizacionId' => $this->getReparacionCotizacionId(),
            'ReparacionCotizacionNum' => $this->getReparacionCotizacionNum(),
            'ReparacionComprobanteTipo' => $this->getReparacionComprobanteTipo(),
            'ReparacionComprobanteNumero' => $this->getReparacionComprobanteNumero(),
            'ReparacionComprobanteFecha' => $this->getReparacionComprobanteFecha(),
            'ReparacionComprobanteId' => $this->getReparacionComprobanteId(),
            'ReparacionCobranzaEstado' => $this->getReparacionCobranzaEstado(),
            'ReparacionCobranzaFecha' => $this->getReparacionCobranzaFecha(),
            'EntregaUsuario' => $this->getEntregaUsuario(),
            'EntregaFecha' => $this->getEntregaFecha(),
            'EntregaComentario' => $this->getEntregaComentario(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioActualizacion' => $this->getUsuarioActualizacion(),
            'FechaActualizacion' => $this->getFechaActualizacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto STE_ServicioTecnicoBN desde un RecordSet */
    public static function retrieveByRs( $o_STE_ServicioTecnicoRs )
    {
        $o_STE_ServicioTecnicoBN = new STE_ServicioTecnicoBN();
        $o_STE_ServicioTecnicoBN->setIdServicio( ( integer ) $o_STE_ServicioTecnicoRs[ "IdServicio" ] );
        $o_STE_ServicioTecnicoBN->setTipoServicio( ( integer ) $o_STE_ServicioTecnicoRs[ "TipoServicio" ] );
        $o_STE_ServicioTecnicoBN->setOrdenId( $o_STE_ServicioTecnicoRs[ "OrdenId" ] );
        $o_STE_ServicioTecnicoBN->setOrdenNum( $o_STE_ServicioTecnicoRs[ "OrdenNum" ] );
        $o_STE_ServicioTecnicoBN->setComprobanteId( $o_STE_ServicioTecnicoRs[ "ComprobanteId" ] );
        $o_STE_ServicioTecnicoBN->setComprobanteNumero( $o_STE_ServicioTecnicoRs[ "ComprobanteNumero" ] );
        $o_STE_ServicioTecnicoBN->setComprobanteFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "ComprobanteFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setIdPersona( ( integer ) $o_STE_ServicioTecnicoRs[ "IdPersona" ] );
        $o_STE_ServicioTecnicoBN->setClienteTipoDoc( $o_STE_ServicioTecnicoRs[ "ClienteTipoDoc" ] );
        $o_STE_ServicioTecnicoBN->setClienteNumeroDoc( $o_STE_ServicioTecnicoRs[ "ClienteNumeroDoc" ] );
        $o_STE_ServicioTecnicoBN->setClienteNombre( $o_STE_ServicioTecnicoRs[ "ClienteNombre" ] );
        $o_STE_ServicioTecnicoBN->setClienteDireccionFiscal( $o_STE_ServicioTecnicoRs[ "ClienteDireccionFiscal" ] );
        $o_STE_ServicioTecnicoBN->setClienteTelefono( $o_STE_ServicioTecnicoRs[ "ClienteTelefono" ] );
        $o_STE_ServicioTecnicoBN->setClienteCorreo( $o_STE_ServicioTecnicoRs[ "ClienteCorreo" ] );
        $o_STE_ServicioTecnicoBN->setSerieItem( $o_STE_ServicioTecnicoRs[ "SerieItem" ] );
        $o_STE_ServicioTecnicoBN->setIdItem( $o_STE_ServicioTecnicoRs[ "IdItem" ] );
        $o_STE_ServicioTecnicoBN->setProductoDescripcion( $o_STE_ServicioTecnicoRs[ "ProductoDescripcion" ] );
        $o_STE_ServicioTecnicoBN->setSerieExisteFlag( ( integer ) $o_STE_ServicioTecnicoRs[ "SerieExisteFlag" ] );
        $o_STE_ServicioTecnicoBN->setTipoGarantiaId( $o_STE_ServicioTecnicoRs[ "TipoGarantiaId" ] );
        $o_STE_ServicioTecnicoBN->setGaratiaEstadoDesc( $o_STE_ServicioTecnicoRs[ "GaratiaEstadoDesc" ] );
        $o_STE_ServicioTecnicoBN->setCubreGarantiaFlag( ( integer ) $o_STE_ServicioTecnicoRs[ "CubreGarantiaFlag" ] );
        $o_STE_ServicioTecnicoBN->setEstado( $o_STE_ServicioTecnicoRs[ "Estado" ] );
        $o_STE_ServicioTecnicoBN->setDescargoCliente( $o_STE_ServicioTecnicoRs[ "DescargoCliente" ] );
        $o_STE_ServicioTecnicoBN->setRevisionRecepcion( $o_STE_ServicioTecnicoRs[ "RevisionRecepcion" ] );
        $o_STE_ServicioTecnicoBN->setPlazoEntrega( ( integer ) $o_STE_ServicioTecnicoRs[ "PlazoEntrega" ] );
        $o_STE_ServicioTecnicoBN->setComentarioRecepcion( $o_STE_ServicioTecnicoRs[ "ComentarioRecepcion" ] );
        $o_STE_ServicioTecnicoBN->setRecepcionUsuario( $o_STE_ServicioTecnicoRs[ "RecepcionUsuario" ] );
        $o_STE_ServicioTecnicoBN->setRecepcionFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "RecepcionFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setDiagnosticoUsuario( $o_STE_ServicioTecnicoRs[ "DiagnosticoUsuario" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoFechaIni( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "DiagnosticoFechaIni" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setDiagnosticoFechaFin( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "DiagnosticoFechaFin" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setDiagnosticoExisteCobranzaFlag( ( integer ) $o_STE_ServicioTecnicoRs[ "DiagnosticoExisteCobranzaFlag" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoMontoIncIGV( ( float ) $o_STE_ServicioTecnicoRs[ "DiagnosticoMontoIncIGV" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoCotizacionId( ( integer ) $o_STE_ServicioTecnicoRs[ "DiagnosticoCotizacionId" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoCotizacionNum( $o_STE_ServicioTecnicoRs[ "DiagnosticoCotizacionNum" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoComprobanteTipo( $o_STE_ServicioTecnicoRs[ "DiagnosticoComprobanteTipo" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoComprobanteNumero( $o_STE_ServicioTecnicoRs[ "DiagnosticoComprobanteNumero" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoComprobanteFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "DiagnosticoComprobanteFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setDiagnosticoComprobanteId( $o_STE_ServicioTecnicoRs[ "DiagnosticoComprobanteId" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoCobranzaEstado( $o_STE_ServicioTecnicoRs[ "DiagnosticoCobranzaEstado" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoCobranzaFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "DiagnosticoCobranzaFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setDiagnosticoRevision( $o_STE_ServicioTecnicoRs[ "DiagnosticoRevision" ] );
        $o_STE_ServicioTecnicoBN->setDiagnosticoComentario( $o_STE_ServicioTecnicoRs[ "DiagnosticoComentario" ] );
        $o_STE_ServicioTecnicoBN->setReparacionAprobacionUsuario( $o_STE_ServicioTecnicoRs[ "ReparacionAprobacionUsuario" ] );
        $o_STE_ServicioTecnicoBN->setReparacionAprobacionFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "ReparacionAprobacionFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setReparacionUsuario( $o_STE_ServicioTecnicoRs[ "ReparacionUsuario" ] );
        $o_STE_ServicioTecnicoBN->setReparacionFechaIni( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "ReparacionFechaIni" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setReparacionFechaFin( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "ReparacionFechaFin" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setReperacionAccionTomada( $o_STE_ServicioTecnicoRs[ "ReperacionAccionTomada" ] );
        $o_STE_ServicioTecnicoBN->setReparacionComentario( $o_STE_ServicioTecnicoRs[ "ReparacionComentario" ] );
        $o_STE_ServicioTecnicoBN->setReparacionPrecioTotalIGV( ( float ) $o_STE_ServicioTecnicoRs[ "ReparacionPrecioTotalIGV" ] );
        $o_STE_ServicioTecnicoBN->setReparacionCotizacionId( ( integer ) $o_STE_ServicioTecnicoRs[ "ReparacionCotizacionId" ] );
        $o_STE_ServicioTecnicoBN->setReparacionCotizacionNum( $o_STE_ServicioTecnicoRs[ "ReparacionCotizacionNum" ] );
        $o_STE_ServicioTecnicoBN->setReparacionComprobanteTipo( $o_STE_ServicioTecnicoRs[ "ReparacionComprobanteTipo" ] );
        $o_STE_ServicioTecnicoBN->setReparacionComprobanteNumero( $o_STE_ServicioTecnicoRs[ "ReparacionComprobanteNumero" ] );
        $o_STE_ServicioTecnicoBN->setReparacionComprobanteFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "ReparacionComprobanteFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setReparacionComprobanteId( $o_STE_ServicioTecnicoRs[ "ReparacionComprobanteId" ] );
        $o_STE_ServicioTecnicoBN->setReparacionCobranzaEstado( $o_STE_ServicioTecnicoRs[ "ReparacionCobranzaEstado" ] );
        $o_STE_ServicioTecnicoBN->setReparacionCobranzaFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "ReparacionCobranzaFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setEntregaUsuario( $o_STE_ServicioTecnicoRs[ "EntregaUsuario" ] );
        $o_STE_ServicioTecnicoBN->setEntregaFecha( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "EntregaFecha" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setEntregaComentario( $o_STE_ServicioTecnicoRs[ "EntregaComentario" ] );
        $o_STE_ServicioTecnicoBN->setUsuarioCreacion( $o_STE_ServicioTecnicoRs[ "UsuarioCreacion" ] );
        $o_STE_ServicioTecnicoBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_STE_ServicioTecnicoBN->setUsuarioActualizacion( $o_STE_ServicioTecnicoRs[ "UsuarioActualizacion" ] );
        $o_STE_ServicioTecnicoBN->setFechaActualizacion( utilTimestamp::getTimestamp( $o_STE_ServicioTecnicoRs[ "FechaActualizacion" ], "Y-m-d H:i:s" ) );
        return $o_STE_ServicioTecnicoBN;
    }
}
?>